Data Fields
Author: Emanuel Eichhammer

· · · ·
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- sanitizedForLinScale() : QCPRange
- sanitizedForLogScale() : QCPRange
- save() : QCPPainter
- saveBmp() : QCustomPlot
- saveJpg() : QCustomPlot
- savePdf() : QCustomPlot
- savePng() : QCustomPlot
- saveRastered() : QCustomPlot
- scaleRange() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- ScaleStrategy : QCPAxisTickerFixed
- ScaleType : QCPAxis , QCPPolarAxisRadial
- scaleTypeChanged() : QCPAxis , QCPPolarAxisRadial
- ScatterProperty : QCPScatterStyle
- ScatterShape : QCPScatterStyle
- scrInnerRect : QCPLayoutElement
- scrOuterRect : QCPLayoutElement
- segmentsIntersect() : QCPGraph
- selectableChanged() : QCPAbstractPlottable , QCPAxis , QCPPolarAxisRadial
- SelectablePart : QCPAxis , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial
- selected() : QCPAbstractPlottable
- selectedAxes() : QCustomPlot
- selectedGraphs() : QCustomPlot
- selectedItems() : QCPLegend , QCustomPlot
- selectedLegends() : QCustomPlot
- selectedPlottables() : QCustomPlot
- selectEvent() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLayerable , QCPLegend , QCPPolarAxisRadial , QCPPolarGraph , QCPTextElement
- selection() : QCPAbstractPlottable
- selectionCategory() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLayerable , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial , QCPPolarGraph
- selectionChanged() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPAxis , QCPLegend , QCPPolarAxisRadial , QCPTextElement
- selectionChangedByUser() : QCustomPlot
- selectionDecorator() : QCPAbstractPlottable
- selectionHitBox() : QCPFinancial
- selectionRect() : QCustomPlot
- selectTest() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable1D< DataType > , QCPAbstractPlottable , QCPAxis , QCPBars , QCPColorMap , QCPCurve , QCPErrorBars , QCPFinancial , QCPGraph , QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer , QCPLayerable , QCPLayoutElement , QCPLayoutInset , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial , QCPPolarGraph , QCPStatisticalBox , QCPTextElement
- selectTestRect() : QCPAbstractPlottable1D< DataType > , QCPBars , QCPErrorBars , QCPFinancial , QCPPlottableInterface1D , QCPStatisticalBox
- set() : QCPDataContainer< DataType >
- setAdaptiveSampling() : QCPGraph
- setAlpha() : QCPColorMapData
- setAngularPen() : QCPPolarGrid
- setAngularSubGridPen() : QCPPolarGrid
- setAntialiased() : QCPLayerable
- setAntialiasedElement() : QCustomPlot
- setAntialiasedElements() : QCustomPlot
- setAntialiasedFill() : QCPAbstractPlottable , QCPPolarGraph
- setAntialiasedScatters() : QCPAbstractPlottable , QCPPolarGraph
- setAntialiasedSubGrid() : QCPGrid , QCPPolarGrid
- setAntialiasedZeroLine() : QCPGrid , QCPPolarGrid
- setAntialiasing() : QCPPainter
- setAutoAddPlottableToLegend() : QCustomPlot
- setAutoMargins() : QCPLayoutElement
- setAutoSqueeze() : QCPDataContainer< DataType >
- setAxes() : QCPItemPosition
- setAxisRect() : QCPItemPosition
- setBackground() : QCPAxisRect , QCPPolarAxisAngular , QCustomPlot
- setBackgroundScaled() : QCPAxisRect , QCPPolarAxisAngular , QCustomPlot
- setBackgroundScaledMode() : QCPAxisRect , QCPPolarAxisAngular , QCustomPlot
- setBarsGroup() : QCPBars
- setBarWidth() : QCPColorScale
- setBasePen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setBaseValue() : QCPBars
- setBegin() : QCPDataRange
- setBorderPen() : QCPLegend
- setBracketBrush() : QCPSelectionDecoratorBracket
- setBracketHeight() : QCPSelectionDecoratorBracket
- setBracketPen() : QCPSelectionDecoratorBracket
- setBracketStyle() : QCPSelectionDecoratorBracket
- setBracketWidth() : QCPSelectionDecoratorBracket
- setBrush() : QCPAbstractPlottable , QCPItemEllipse , QCPItemRect , QCPItemText , QCPItemTracer , QCPLegend , QCPPolarGraph , QCPScatterStyle , QCPSelectionDecorator , QCPSelectionRect
- setBrushNegative() : QCPFinancial
- setBrushPositive() : QCPFinancial
- setBufferDevicePixelRatio() : QCustomPlot
- setCell() : QCPColorMapData
- setChannelFillGraph() : QCPGraph
- setChartStyle() : QCPFinancial
- setClipAxisRect() : QCPAbstractItem
- setClipToAxisRect() : QCPAbstractItem
- setColor() : QCPItemText
- setColorInterpolation() : QCPColorGradient
- setColorScale() : QCPColorMap
- setColorStopAt() : QCPColorGradient
- setColorStops() : QCPColorGradient
- setColumnSpacing() : QCPLayoutGrid
- setColumnStretchFactor() : QCPLayoutGrid
- setColumnStretchFactors() : QCPLayoutGrid
- setCoords() : QCPItemPosition
- setCurrentLayer() : QCustomPlot
- setCustomPath() : QCPScatterStyle
- setData() : QCPBars , QCPColorMap , QCPColorMapData , QCPCurve , QCPErrorBars , QCPFinancial , QCPGraph , QCPPolarGraph , QCPStatisticalBox
- setDataPlottable() : QCPErrorBars
- setDataRange() : QCPColorMap , QCPColorScale
- setDataScaleType() : QCPColorMap , QCPColorScale
- setDateTimeFormat() : QCPAxisTickerDateTime
- setDateTimeSpec() : QCPAxisTickerDateTime
- setDevicePixelRatio() : QCPAbstractPaintBuffer
- setEnd() : QCPDataRange
- setErrorType() : QCPErrorBars
- setFieldWidth() : QCPAxisTickerTime
- setFillOrder() : QCPLayoutGrid
- setFont() : QCPAbstractLegendItem , QCPItemText , QCPLegend , QCPTextElement
- setFractionStyle() : QCPAxisTickerPi
- setFromOther() : QCPScatterStyle
- setGradient() : QCPColorMap , QCPColorScale
- setGraph() : QCPItemTracer
- setGraphKey() : QCPItemTracer
- setHead() : QCPItemCurve , QCPItemLine
- setIconBorderPen() : QCPLegend
- setIconSize() : QCPLegend
- setIconTextPadding() : QCPLegend
- setInsetAlignment() : QCPLayoutInset
- setInsetPlacement() : QCPLayoutInset
- setInsetRect() : QCPLayoutInset
- setInteraction() : QCustomPlot
- setInteractions() : QCustomPlot
- setInterpolate() : QCPColorMap
- setInterpolating() : QCPItemTracer
- setInvalidated() : QCPAbstractPaintBuffer
- setInverted() : QCPLineEnding
- setKeyAxis() : QCPAbstractPlottable , QCPPolarGraph
- setKeyRange() : QCPColorMapData
- setKeySize() : QCPColorMapData
- setLabel() : QCPAxis , QCPColorScale , QCPPolarAxisAngular , QCPPolarAxisRadial
- setLabelColor() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setLabelFont() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setLabelPadding() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setLayer() : QCPLayerable
- setLength() : QCPItemBracket , QCPLineEnding
- setLevelCount() : QCPColorGradient
- setLineStyle() : QCPCurve , QCPGraph , QCPPolarGraph
- setLogBase() : QCPAxisTickerLog
- setLowerEnding() : QCPAxis
- setMarginGroup() : QCPLayoutElement
- setMargins() : QCPLayoutElement
- setMaximumSize() : QCPLayoutElement
- setMedianPen() : QCPStatisticalBox
- setMinimumMargins() : QCPLayoutElement
- setMinimumSize() : QCPLayoutElement
- setMode() : QCPLayer , QCPPainter
- setModes() : QCPPainter
- setMultiSelectModifier() : QCustomPlot
- setName() : QCPAbstractPlottable , QCPPolarGraph
- setNanColor() : QCPColorGradient
- setNanHandling() : QCPColorGradient
- setNoAntialiasingOnDrag() : QCustomPlot
- setNotAntialiasedElement() : QCustomPlot
- setNotAntialiasedElements() : QCustomPlot
- setNumberFormat() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setNumberPrecision() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setOffset() : QCPAxis
- setOpenGl() : QCustomPlot
- setOuterRect() : QCPLayoutElement
- setOutlierStyle() : QCPStatisticalBox
- setPadding() : QCPAxis , QCPItemText
- setParentAnchor() : QCPItemPosition
- setParentAnchorX() : QCPItemPosition
- setParentAnchorY() : QCPItemPosition
- setParentLayerable() : QCPLayerable
- setPen() : QCPAbstractPlottable , QCPGrid , QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer , QCPPainter , QCPPolarGraph , QCPScatterStyle , QCPSelectionDecorator , QCPSelectionRect
- setPenNegative() : QCPFinancial
- setPenPositive() : QCPFinancial
- setPeriodic() : QCPColorGradient
- setPeriodicity() : QCPAxisTickerPi
- setPiSymbol() : QCPAxisTickerPi
- setPiValue() : QCPAxisTickerPi
- setPixelPosition() : QCPItemPosition
- setPixmap() : QCPItemPixmap , QCPScatterStyle
- setPlottingHint() : QCustomPlot
- setPlottingHints() : QCustomPlot
- setPositionAlignment() : QCPItemText
- setRange() : QCPAxis , QCPColorMapData , QCPPolarAxisAngular , QCPPolarAxisRadial
- setRangeDrag() : QCPAxisRect , QCPColorScale
- setRangeDragAxes() : QCPAxisRect
- setRangeLower() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setRangeReversed() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setRangeUpper() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setRangeZoom() : QCPAxisRect , QCPColorScale
- setRangeZoomAxes() : QCPAxisRect
- setRangeZoomFactor() : QCPAxisRect
- setRotation() : QCPItemText
- setRowSpacing() : QCPLayoutGrid
- setRowStretchFactor() : QCPLayoutGrid
- setRowStretchFactors() : QCPLayoutGrid
- setScaled() : QCPItemPixmap
- setScaleRatio() : QCPAxis
- setScaleStrategy() : QCPAxisTickerFixed
- setScaleType() : QCPAxis , QCPPolarAxisRadial
- setScatterSkip() : QCPCurve , QCPGraph
- setScatterStyle() : QCPCurve , QCPGraph , QCPPolarGraph , QCPSelectionDecorator
- setSelectable() : QCPAbstractItem , QCPAbstractLegendItem , QCPAbstractPlottable , QCPPolarGraph , QCPTextElement
- setSelectableParts() : QCPAxis , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelected() : QCPAbstractItem , QCPAbstractLegendItem , QCPTextElement
- setSelectedBasePen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedBorderPen() : QCPLegend
- setSelectedBrush() : QCPItemEllipse , QCPItemRect , QCPItemText , QCPItemTracer , QCPLegend
- setSelectedColor() : QCPItemText
- setSelectedFont() : QCPAbstractLegendItem , QCPItemText , QCPLegend , QCPTextElement
- setSelectedIconBorderPen() : QCPLegend
- setSelectedLabelColor() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedLabelFont() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedParts() : QCPAxis , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedPen() : QCPItemBracket , QCPItemCurve , QCPItemEllipse , QCPItemLine , QCPItemPixmap , QCPItemRect , QCPItemStraightLine , QCPItemText , QCPItemTracer
- setSelectedSubTickPen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedTextColor() : QCPAbstractLegendItem , QCPLegend , QCPTextElement
- setSelectedTickLabelColor() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedTickLabelFont() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelectedTickPen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSelection() : QCPAbstractPlottable , QCPPolarGraph
- setSelectionDecorator() : QCPAbstractPlottable
- setSelectionRect() : QCustomPlot
- setSelectionRectMode() : QCustomPlot
- setSelectionTolerance() : QCustomPlot
- setShape() : QCPScatterStyle
- setSize() : QCPAbstractPaintBuffer , QCPColorMapData , QCPItemTracer , QCPScatterStyle
- setSizeConstraintRect() : QCPLayoutElement
- setSpacing() : QCPBarsGroup
- setSpacingType() : QCPBarsGroup
- setStackingGap() : QCPBars
- setStyle() : QCPItemBracket , QCPItemTracer , QCPLineEnding
- setSubGridPen() : QCPGrid
- setSubGridVisible() : QCPGrid
- setSubTickCount() : QCPAxisTickerLog , QCPAxisTickerText
- setSubTickLength() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSubTickLengthIn() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSubTickLengthOut() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSubTickPen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSubTicks() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setSymbolGap() : QCPErrorBars
- setTail() : QCPItemCurve , QCPItemLine
- setTangentAverage() : QCPSelectionDecoratorBracket
- setTangentToData() : QCPSelectionDecoratorBracket
- setText() : QCPItemText , QCPTextElement
- setTextAlignment() : QCPItemText
- setTextColor() : QCPAbstractLegendItem , QCPLegend , QCPTextElement
- setTextFlags() : QCPTextElement
- setTickCount() : QCPAxisTicker
- setTicker() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabelColor() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabelFont() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabelPadding() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabelRotation() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabels() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLabelSide() : QCPAxis
- setTickLength() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLengthIn() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickLengthOut() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickOrigin() : QCPAxisTicker , QCPAxisTickerDateTime
- setTickPen() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTicks() : QCPAxis , QCPAxisTickerText , QCPPolarAxisAngular , QCPPolarAxisRadial
- setTickStep() : QCPAxisTickerFixed
- setTickStepStrategy() : QCPAxisTicker
- setTightBoundary() : QCPColorMap
- setTimeFormat() : QCPAxisTickerTime
- setTimeZone() : QCPAxisTickerDateTime
- setTwoColored() : QCPFinancial
- setType() : QCPColorScale , QCPItemPosition
- setTypeX() : QCPItemPosition
- setTypeY() : QCPItemPosition
- setupFullAxesBox() : QCPAxisRect
- setupOpenGl() : QCustomPlot
- setupPaintBuffers() : QCustomPlot
- setUpperEnding() : QCPAxis
- setupTickVectors() : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- setUsedScatterProperties() : QCPSelectionDecorator
- setValueAxis() : QCPAbstractPlottable , QCPPolarGraph
- setValueRange() : QCPColorMapData
- setValueSize() : QCPColorMapData
- setViewport() : QCustomPlot
- setVisible() : QCPLayer , QCPLayerable
- setWhiskerAntialiased() : QCPStatisticalBox
- setWhiskerBarPen() : QCPStatisticalBox
- setWhiskerPen() : QCPStatisticalBox
- setWhiskerWidth() : QCPErrorBars , QCPStatisticalBox
- setWidth() : QCPBars , QCPFinancial , QCPLineEnding , QCPStatisticalBox
- setWidthType() : QCPBars , QCPFinancial
- setWrap() : QCPLayoutGrid
- setX() : QCPVector2D
- setY() : QCPVector2D
- setZeroLinePen() : QCPGrid
- simplify() : QCPDataSelection , QCPLayout , QCPLayoutGrid , QCPLayoutInset
- simplifyFraction() : QCPAxisTickerPi
- size() : QCPAxisRect , QCPBarsGroup , QCPDataContainer< DataType > , QCPDataRange , QCPPolarAxisAngular , QCPRange
- SizeConstraintRect : QCPLayoutElement
- sizeConstraintsChanged() : QCPLayout
- sizeHint() : QCustomPlot
- sort() : QCPDataContainer< DataType >
- sortKey() : QCPBarsData , QCPCurveData , QCPFinancialData , QCPGraphData , QCPStatisticalBoxData
- sortKeyIsMainKey() : QCPAbstractPlottable1D< DataType > , QCPBarsData , QCPCurveData , QCPErrorBars , QCPFinancialData , QCPGraphData , QCPPlottableInterface1D , QCPStatisticalBoxData
- SpacingType : QCPBarsGroup
- spAll : QCPScatterStyle
- span() : QCPDataSelection
- spAxis : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- spAxisLabel : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- spBrush : QCPScatterStyle
- spItems : QCPLegend
- spLegendBox : QCPLegend
- spNone : QCPAxis , QCPLegend , QCPPolarAxisAngular , QCPPolarAxisRadial , QCPScatterStyle
- spPen : QCPScatterStyle
- spShape : QCPScatterStyle
- spSize : QCPScatterStyle
- spTickLabels : QCPAxis , QCPPolarAxisAngular , QCPPolarAxisRadial
- squeeze() : QCPDataContainer< DataType >
- ssCircle : QCPScatterStyle
- ssCross : QCPScatterStyle
- ssCrossCircle : QCPScatterStyle
- ssCrossSquare : QCPScatterStyle
- ssCustom : QCPScatterStyle
- ssDiamond : QCPScatterStyle
- ssDisc : QCPScatterStyle
- ssDot : QCPScatterStyle
- ssMultiples : QCPAxisTickerFixed
- ssNone : QCPAxisTickerFixed , QCPScatterStyle
- ssPeace : QCPScatterStyle
- ssPixmap : QCPScatterStyle
- ssPlus : QCPScatterStyle
- ssPlusCircle : QCPScatterStyle
- ssPlusSquare : QCPScatterStyle
- ssPowers : QCPAxisTickerFixed
- ssSquare : QCPScatterStyle
- ssStar : QCPScatterStyle
- ssTriangle : QCPScatterStyle
- ssTriangleInverted : QCPScatterStyle
- stAbsolute : QCPBarsGroup
- started() : QCPSelectionRect
- startPainting() : QCPAbstractPaintBuffer , QCPPaintBufferGlFbo , QCPPaintBufferGlPbuffer , QCPPaintBufferPixmap
- startSelection() : QCPSelectionRect
- stAxisRectRatio : QCPBarsGroup
- stLinear : QCPAxis , QCPPolarAxisRadial
- stLogarithmic : QCPAxis , QCPPolarAxisRadial
- stopsUseAlpha() : QCPColorGradient
- stPlotCoords : QCPBarsGroup